export declare function getSuperclasses(obj: any): any[];
export declare function jsonifyError(error: Error): Record<string, any>;
export declare class AgentError extends Error {
    data: Record<string, unknown>;
    constructor(message: string, data?: Record<string, unknown>);
}
export interface HTTPRequestResponse {
    statusCode?: number;
    headers: Record<string, unknown>;
    body: string;
}
